سؤال ما مدى توافق Ubuntu SDK مع الإصدارات السابقة؟


اسمحوا لي أولاً أن أقول ، من خلال SDK أنا لست في الواقع أشير إلى QT Creator ، ولكن مكتبات QML في Ubuntu ، فأنا أستخدم Geany في جميع البرامج.

عندما أطلق Ubuntu لأول مرة Ubuntu SDK قمت بتحويل تطبيق كنت أعمل عليه إلى QML ، فأنا أستخدم QML في واجهة المستخدم الرسومية و C لجميع الأعمال الداخلية. بعد الترقية إلى 13.10 كسر تطبيقي إلى حد كبير ، لم يكن من الصعب بالنسبة لي معرفة ما الذي تغير مع أوبونتو SDK وإجراء التغييرات المناسبة ، ولكن الآن أشعر بالقلق حيال SDK بشكل عام ، لم يفعلوا سوى هذه الدراماتيكية تغييرات لأنهم ما زالوا يعملون بها ، أو هو كل إصدار من أوبونتو يخرج لكسر التوافق مع التطبيقات؟ وبعبارة أخرى ، بمجرد الحصول على Ubuntu SDK رسميا سوف يكون هو نفسه بغض النظر عما يملكه Ubuntu version؟

وهل هناك أي كلمة حول متى سيتم إصدار النسخة النهائية من برنامج Ubuntu SDK؟


4
2017-10-30 01:46


الأصل




الأجوبة:


كان SDK سائلًا تمامًا ، نظرًا لأن هذا كان التطوير الأولي ولم نصل إلا إلى أول حالة "مستقرة" مع إصدار أوبونتو 13.10. يجب ألا يكون هناك أي كسر في واجهة برمجة التطبيقات من الآن فصاعدًا دون الانتقال أولاً إلى فترة الإيقاف. إذا كان هذا مصدر قلق لعدد كافٍ من الأشخاص ، فيمكننا تشغيل جلسة في UDS القادمة لمناقشة كيفية التعامل معها.


4
2017-10-30 02:17



رائع ، شكرا على الجواب. اعتقدت أن هذا هو الحال ، كنت قلقا قليلا منذ أن كنت أضع الكثير من العمل في التطبيق الخاص بي. - KoRnKloWn